-- This defines what variables constitute a preset and what their
-- default values are.  Default values are recalled before loading
-- any preset to ensure backward compatibilty with older preset
-- files.  They should set the variable to a ``NOP'' position.

Preset = {



-- Input levels management

   mas_drive = 0, -- dB
   mas_rt = 0, --dB
   
--Input filtering
   hpf_filter_freq =  0,
   -- currently implemented values are OUT, 20, 30, 40, 70 Hz.
 
   lpf_on = 1, -- THis is for the main 18.5 kHz lowpass filter at the input of the APS.  Prevents SH Freq. garbage in recordings from pulling down SH bands
               -- 0 = no input LPF

--Phase Rotator
   phase_rot_style = 0, -- 0 = no phase rotator


-- wideband AGC

   wbagc_engage =  0,
   wbagc_drive =  0.0, -- dB
   wbagc_attack = 5000, -- ms
   wbagc_release = 10000, -- ms
   wbagc_gate_thresh = 0.0, -- dBr1
   wbagc_window = -5.0, -- dBr1

   wbagc_ratio = 1, -- unitless

   wbagc_rtp_level = -10, -- dBGR
   wbagc_rtp_speed = 10000, -- ms
   wbagc_makeup = -7, -- dB
   wbagc_acc_rels = 1.2, -- Release Accel Factor
   wbagc_gate_cal = 10, -- dB
   wbagc_ref_off = 0.6, -- unitless


-- Dynamic EQ

   dyneq_eng = 0, -- unitless

   dyneq_sh = 0.0,
   dyneq_hf = 0.0,
   dyneq_pf = 0.0,
   dyneq_lf = 0.0,
   dyneq_mf = 0.0,
                    
   dyneq_sh_boostr = 1, --unitless
   dyneq_hi_boostr = 1, --unitless   
   dyneq_mh_boostr = 1, --unitless
   dyneq_lo_boostr = 0.7, --unitless     
   
   dyneq_sh_cutr = 1.0, --unitless
   dyneq_hi_cutr = 0.2, --unitless
   dyneq_mh_cutr = 0.2, --unitless
   dyneq_lo_cutr = 0.5, --unitless

   dyneq_mode = 1, -- unitless

-- Multiband AGC Crossovers


   loagc_xovr = 150, -- Hz
   mlagc_xovr = 450, -- Hz
   mhagc_xovr = 2500, -- hz

   mbagc_sync_mode = 0, -- enumerated
	-- 1 = Band 3 sync ref, 0 = Band 2 sync

   mbagc_engage = 1, -- enumerated
      -- 1 = engage, 0 = bypass

-- multiband AGC

   mbagc_drive = 0.0, -- dB
   mbagc_transdet = -1000, --dB
   mlagc_transdet  = 0, -- dB
   loagc_transdet = 0, -- dB  


-- Master Gain lock Threshold

   mbagc_gate_thresh = 0.0, -- dB

-- Threshold 'OFF'sets from master threshold control

   shagc_gate_thresh_off = 0.0, -- dB
   hiagc_gate_thresh_off = 0.0, -- dB
   mhagc_gate_thresh_off = 0.0, -- dB
   mlagc_gate_thresh_off = 0.0, -- dB
   loagc_gate_thresh_off = 0.0, -- dB

-- Multiband AGC output Mix levels

   shagc_mix = 0.0, -- dB
   hiagc_mix = 0.0, -- dB
   hiagc_mix = 0.0, -- dB
   mhagc_mix = 0.0, -- dB
   mlagc_mix = 0.0, -- dB
   loagc_mix = 0.0, -- dB


-- Drive 'OFF'sets from the main mbagc drive control

   shagc_drive_off = 0.0, -- dB
   hiagc_drive_off = 0.0, -- dB
   hiagc_drive_off = 0.0, -- dB
   mhagc_drive_off = 0.0, -- dB
   mlagc_drive_off = 0.0, -- dB
   loagc_drive_off = 0.0, -- dB

-- multiband AGC ratios and gains
   -- We can set these to 0 to defeat the AGCs without making the sidechains
   -- run away because the sidechains have independent ratios

   shagc_ratio = 0.5, -- loop gain
   hiagc_ratio = 0.5, -- loop gain
   mhagc_ratio = 0.5, -- loop gain
   mlagc_ratio = 0.5, -- loop gain
   loagc_ratio = 0.5, -- loop gain 

-- Return To Platform Levels

   shagc_rtp_level = -10, -- dBGR
   hiagc_rtp_level = -10, -- dBGR
   mhagc_rtp_level = -10, -- dBGR
   mlagc_rtp_level = -10, -- dBGR
   loagc_rtp_level = -10, -- dBGR

-- Return to Platform speeds

   shagc_rtp_speed = 10000, -- ms
   hiagc_rtp_speed = 10000, -- ms
   mhagc_rtp_speed = 10000, -- ms
   mlagc_rtp_speed = 10000, -- ms
   loagc_rtp_speed = 10000, -- ms

-- Defeat RTP function

   shagc_rtpdef = 0,
   hiagc_rtpdef = 0,
   mhagc_rtpdef = 0,
   mlagc_rtpdef = 0,
   loagc_rtpdef = 0,

-- Windowing

   shagc_window = 0,
   hiagc_window = 0,
   mhagc_window = 0,
   mlagc_window = 0,
   loagc_window = 0,

-- Intelligent Gating

   mbagc_sync = -1.4, -- dB
   loagc_sync = 0.0, -- dB

   mas_intelligate = 0, -- dB

   shagc_intelligate = - 20, -- dB
   hiagc_intelligate = - 15, -- dB
   mhagc_intelligate = - 10, -- dB

--Release times

   mbagc_release = 0.15, -- unitless

   shagc_rel_cal = 10000,  -- ms
   hiagc_rel_cal = 10000,  -- ms
   mhagc_rel_cal = 10000,  -- ms
   mlagc_rel_cal = 10000,  -- ms
   loagc_rel_cal = 10000,  -- ms
  
   mbagc_multf = 1, -- unitless

   mbagc_attack = 0.095, -- unitless 

   shagc_att_cal = 10000,  -- ms
   hiagc_att_cal = 10000,  -- ms
   mhagc_att_cal = 10000,  -- ms
   mlagc_att_cal = 10000,  -- ms
   loagc_att_cal = 10000,  -- ms

   shagc_makeup = -7, -- dB
   hiagc_makeup = -7, -- dB
   mhagc_makeup = -7, -- dB
   mlagc_makeup = -7, -- dB
   loagc_makeup = -7, -- dB

   shagc_acc_rel = 1.2, -- Mult Factor
   hiagc_acc_rel = 1.2, -- Mult Factor
   mhagc_acc_rel = 1.2, -- Mult Factor
   mlagc_acc_rel = 1.2, -- Mult Factor
   loagc_acc_rel = 1.2, -- Mult Factor


   shagc_thresh = 2, -- dB
   hiagc_thresh = 2, -- dB
   mhagc_thresh = 0, -- dB
   mlagc_thresh = 0, -- dB
   loagc_thresh = 10, -- dB

   mbagc_ocal = -18, --dB
   mbagc_dcal = 20, --dB

   shagc_dcomp = 0, -- dB
   cham_mode = 0,

-- Enhancers

   bass_enh = -12.0, -- dB
   benh_sl = 12, -- dB/Octave
   stereo_enh = 0, -- unitless
   ben_byp = 0, -- unitless
   dbass_mode = 1, --unitless
   wbass_mode = 1, --unitless
   dbass_boost = 0, --unitless
   wbass_boost = 0, --unitless
   dbass_ratio = 0.75,
   dbass_ratio = 0.75,
   basssq = 0.0, -- dB
   bass_mode = 0, --unitless
   air_eng = 0, --boolean


		

--Parametric_EQ---

   hi_gain = 0, -- dB
   md_gain = 0, -- dB
   lo_gain = 0, -- dB
   hi_freq = 5000, -- Hz
   md_freq = 1000, -- Hz
   lo_freq = 80, -- Hz

   hi_q = 1, -- Q
   md_q = 1, -- Q
   lo_q = 1, -- Q

   -- shelving:
   lf_gain = 0, --dB
   hf_gain = 0,
   lf_freq = 100, -- Hz
   hf_freq = 8000, -- Hz
   lf_q = 0.707, -- Q
   hf_q = 0.707, -- Q

   -- para_byp = 0, --unitless

   phb_thresh = 0.0, --dB

-- Multiband limiters

   shlim_mix = 0.0, -- dB
   hilim_mix = 0.0, -- dB
   mhlim_mix = 0.0, -- dB
   mllim_mix = 0.0, -- dB
   lolim_mix = 0.0, -- dB
   sllim_mix = 0.0, -- dB


   lim_drive = 0.0, -- dB
   lf_lim_density = 0.4, -- unitless
   hf_lim_density = 0.4, -- unitless

	-- limiter Drive 'Off'sets

   shlim_drive_off = 0.0, -- dB
   hilim_drive_off = 0.0, -- dB
   mhlim_drive_off = 0.0, -- dB
   mllim_drive_off = 0.0, -- dB
   lolim_drive_off = 0.0, -- dB
   sllim_drive_off = 0.0, -- dB

   mhlim_dcomp = 0.0, -- dB
   hilim_dcomp = 0.0, -- dB
   sllim_dcomp = 0.0, -- dB
   shlim_dcomp = 0.0, -- dB
   
   
   shlim_thresh = 0.0, -- dB
   hilim_thresh = 0.0, -- dB
   mhlim_thresh = 0.0, -- dB
   mllim_thresh = 0.0, -- dB
   lolim_thresh = 0.0, -- dB
   sllim_thresh = 0.0, -- dB

   lim_release = 1, -- unitless

   shlim_rel_cal = 800, -- ms
   hilim_rel_cal = 800, -- ms
   mhlim_rel_cal = 800, -- ms
   mllim_rel_cal = 800, -- ms
   lolim_rel_cal = 800, -- ms
   sllim_rel_cal = 800, -- ms

   lim_attack = 1, -- unitless

   shlim_att_cal = 100, -- ms  
   hilim_att_cal = 100, -- ms 
   mhlim_att_cal = 100, -- ms 
   mllim_att_cal = 100, -- ms 
   lolim_att_cal = 300, -- ms 
   sllim_att_cal = 800, -- ms 

   sllim_ratio = 1.0, -- unitless
   lolim_ratio = 1.0, -- unitless
   mllim_ratio = 1.0, -- unitless
   mhlim_ratio = 1.0, -- unitless
   hilim_ratio = 1.0, -- unitless
   shlim_ratio = 1.0, -- unitless

   shlim_load = 0.0, -- dB
   hilim_load = 0.0, -- dB
   mhlim_load = 0.0, -- dB
   mllim_load = 0.0, -- dB
   lolim_load = 0.0, -- dB
   sllim_load = 0.0, -- dB

   shlim_frel = 0.75, --unitless
   hilim_frel = 0.65, --unitless
   mhlim_frel = 0.6, --unitless
   mllim_frel = 0.6, --unitless
   lolim_frel = 0.55, --unitless
   sllim_frel = 0.55, --unitless

   lf_boost = 0, 
   hf_enh = 0,

   mllim_compat_gain = -5.5, --dB

-- Front End Clipper System

   clip_drive = 0.0, -- dB
   clip_ofst = 0.0, -- dB
   bc_dyn_thresh = -8.0, -- db
   bc_smooth = 1.3, -- unitless 
   abc_tight = 1, -- relative
   bc_depth = 0.0, -- dB
   bc_style = 1, -- 1 for auto bass clip thresh 0 for fixed thresh
   abc_hi_gain = 10.0, -- dB
   mono_gain = -3.0, -- dB
   bc_fix_thresh = -2.5, -- dB
   w_bass_drive = 0.0, --dB
   phat_bass = -100, --dB
   phat_phase = 1, -- boolian
   phat_uhar= -40, --dB
   bc2_mthresh = -1.1, --dB
   bass_enh_att = 150, -- unitless
   clipper_silk = 0.05, -- relative
   clipper_hf_silk =  0.72727274894714, -- relative
   clipper_sh_silk = 1, -- relative
   clipper_sh_hdrm = 1, -- relative
   hf_silk_mode = 0, -- boolean
   bc_meter = 1, -- unitless
   bp_mode = 0, -- unitless
   pepino_ver = 1, -- relative
   clipper_spark = 1.5, -- dB
   sent_drv = 3.0, -- dB
   bc_skew = 0.0, -- dB

-- HD Section

   HD_fnl_drive = 0, -- dB


-- HD EQ ---
   
   hdpara_byp = 1,

   HD_hi_gain = 0,
   HD_md_gain = 0,
   HD_lo_gain = 0,
   HD_hi_freq = 5000,
   HD_md_freq = 1000,
   HD_lo_freq = 200,
   HD_hi_q = 1.0,
   HD_md_q = 1.0,
   HD_lo_q = 1.0,
   -- Shelving filters below: called lf (low shelf) and hf (high shelf)
   HD_lf_gain = 0,
   HD_hf_gain = 0,
   HD_lf_freq = 100,
   HD_hf_freq = 8000,
   HD_lf_q = 0.707,
   HD_hf_q = 0.707,

   HD_sensus_freq = 20000, -- Hertz
   HD_sensus_sens = 6.8, -- dB

-- Stereo Enhancer

 
   stenh_dif_rel = 500, -- ms


-- Comp Clipper in SG
   O11_sg_comp_clip_drive = 0,

--System Params

   mas_drive = 0, -- dB
   mas_rt = 0, -- dB

   patchout_cal1 = 0, -- dB
   bs412_drive = 0, --dB, used to compensate for differences in presets

-- Preset Insert Point level cal
   patchout_cal1 = 0, -- dB



--Solar Plexus
   spl_half_f_gain = -2.0,  -- dB
   spl_level = 0, -- dB of enhancement
   spl_engage = 0, -- 0 = bypass 1 = engage


}



IO = {

   overall_proc_bypass = 0,
   patch_mode = 0,
   hd_arbmode = 1,
   
-- Declipper
   dclip_engage = 0, -- bypass   

-- Input 
   in_source = 1,
   in_patch_src = 3,
   in_failover_src = 1,
   in_failover_time =  0, -- seconds ( 0 = defeat )
   in_failback_time = 1, -- seconds
   in_failover_abs_lvl = -50, --dBFS
   in_failover_rel_lvl = -20, 
   -- dB ref. secondary signal (how far primary must be below secondary to 
   -- trigger failover logic).
   in_ana_mast = 0.0,
   in_ana_R = 0.0,
   in_aes_mast = 0.0,
   in_aes_R = 0.0,
   in_lwr_mast = 0.0,
   in_lwr_R = 0.0,
   in_lwr2_mast = 0.0,
   in_lwr2_R = 0.0,
   O11_in_invert = 0,
   O11_in_stereo_mode = 0,

-- Output
   O11hdfm_out_ana_select = 0,
   O11hdfm_out_aes1_select = 0,
   O11hdfm_out_aes2_select = 0,
   O11hdfm_out_hph_select =  2,
   O11hdfm_out_lwr1_select = 0,
   O11hdfm_out_lwr2_select = 0,
   O11hdfm_out_hd_pol = 1,
   O11_out_ana_mast = 4,
   out_ana_L = 0.0,
   out_ana_R = 0.0,
   out_aes_mast = -12.0,
   out_aes_L = 0.0,
   out_aes_R = 0.0,
   out_aes2_mast = -12.0,
   out_aes2_L = 0.0,
   out_aes2_R = 0.0,
   out_lwr_mast = -12.0,
   out_lwr_L = 0.0,
   out_lwr_R = 0.0,
   out_lwr2_mast = -12.0,
   out_lwr2_L = 0.0,
   out_lwr2_R = 0.0,
   out_aes_srate = 0,
   out_aes2_srate = 0,
   out_div_delay_time = 0,
   out_div_delay_off = 0,
   O11_pre_emphasis = 75,
   O11_de_emphasis_ana = 0,
   O11_de_emphasis_aes = 0,
   O11_de_emphasis_aes2 = 0,
   O11_de_emphasis_lw = 0,
   O11_de_emphasis_lw2 = 0,
   O11_de_emphasis_hph = 1,
   O11_de_emphasis_doro = 1,
   bs412_engage = 0,
   bs412_main_thresh = 0,
   comp_out_lvl = 5,
   comp_out_lvl_2 = 5,
   sg_pilot_lvl = 0.09,
   sg_rds_lvl = 0,
   ssbsg_pilot_phase = 0,
   ssbsg_usb_suppression = 0,
   sg_lmr_gain = 0.015,
   enet_port2_mode = 0,
   
-- Patch EQ engage
   patch_vtr = 0,

   -- LL DJ Section


   djlomix = 0, --dB
   djmdmix = 0, --dB
   djprmix = 0, --dB
   djhimix = 0, --dB
   dj_rngmast = -23.63, --dB
   dj_lolimrng = -3.63, --dB
   dj_mdlimrng = -4.54, --dB
   dj_prlimrng = -4.09, --dB
   dj_hilimrng = -3.63, --dB
   loagc_djmix = 0, -- dB
   mlagc_djmix = 0, -- dB
   mhagc_djmix = 0, -- dB
   hiagc_djmix = 0, -- dB
   shagc_djmix = 0, -- dB
   APS_dj_bclip = 4, -- dB
   dj_clip = 4.0, -- dB

   djlim_attack = 0.1, -- unitless
   djlim_release = 1.5, -- unitless

   djshlim_rel_cal = 45, -- ms
   djprlim_rel_cal = 60, -- ms
   djmdlim_rel_cal = 150, -- ms
   djlolim_rel_cal = 150, -- ms

   djshlim_att_cal = 80, -- ms 
   djprlim_att_cal = 100, -- ms
   djmdlim_att_cal = 2500, -- ms
   djlolim_att_cal = 5000, -- ms      

}

-- This is a hack to create an access class for variables.  It is not used
-- as a storage class, only to specify the variables that the lessee
-- access level is not allow to write.
Comp = {
   comp_out_lvl = 5,
   comp_out_lvl_2 = 5,
}
